org.apache.ignite.internal.processors.cache

## Class GridCacheTtlManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheTtlManager

All Implemented Interfaces:
  GridCacheManager

    public class GridCacheTtlManager
    extends GridCacheManagerAdapter

Eagerly removes expired entries from cache when `CacheConfiguration.isEagerTtl()` flag is set.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log`

### Constructor Summary

Constructors
Constructor and Description
`GridCacheTtlManager()`

### Method Summary

Methods
`void` `addTrackedEntry(GridCacheMapEntry entry)` Adds tracked entry to ttl processor.
`void` `expire()` Expires entries by TTL.
`protected void` `onKernalStart0()`
`protected void` `onKernalStop0(boolean cancel)`
`int` `pendingSize()`
`void` `printMemoryStats()` Prints memory statistics (sizes of internal data structures, etc.).
`void` `removeTrackedEntry(GridCacheMapEntry entry)`
`protected void` `start0()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStop, start, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheTtlManager

    public GridCacheTtlManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Overrides:
  `start0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `GridCacheManagerAdapter`
Throws:
  `IgniteCheckedException` - If failed.

#### onKernalStop0

    protected void onKernalStop0(boolean cancel)

Overrides:
  `onKernalStop0` in class `GridCacheManagerAdapter`
Parameters:
  `cancel` - Cancel flag.

#### addTrackedEntry

    public void addTrackedEntry(GridCacheMapEntry entry)

Adds tracked entry to ttl processor.

Parameters:
  `entry` - Entry to add.

#### removeTrackedEntry

    public void removeTrackedEntry(GridCacheMapEntry entry)

Parameters:
  `entry` - Entry to remove.

#### pendingSize

    public int pendingSize()

Returns:
  The size of pending entries.

#### printMemoryStats

    public void printMemoryStats()

Prints memory statistics (sizes of internal data structures, etc.). NOTE: this method is for testing and profiling purposes only.

Specified by:
  `printMemoryStats` in interface `GridCacheManager`
Overrides:
  `printMemoryStats` in class `GridCacheManagerAdapter`

#### expire

    public void expire()

Expires entries by TTL.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.6.0
Release Date | : May 18 2016